//go:build generate
// +build generate

package main

import (
	"go.jolheiser.com/gpm/internal/cli"
	"os"
)

//go:generate go run docs.go
func main() {
	app := cli.New("docs")

	md, err := app.ToMarkdown()
	if err != nil {
		panic(err)
	}

	fi, err := os.Create("DOCS.md")
	if err != nil {
		panic(err)
	}
	if _, err := fi.WriteString(md); err != nil {
		panic(err)
	}
	if err := fi.Close(); err != nil {
		panic(err)
	}
}
